%define name krb5-fermi-addons
%define path /usr/krb5
%define version 1.4
%define release 1.slf6

Summary: Additional Fermilab Kerberos utilities
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: MIT, freely distributable.
URL: http://web.mit.edu/kerberos/www/
Requires: fileutils
Requires: glibc(x86-32) libss(x86-32)
Requires: krb5-libs(x86-32)
Group: Fermi
BuildArchitectures: i386
Packager: Frank Nagy <nagy@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: krb5-fermi-base krb5-fermi-config
AutoReqProv: No

%description
This package adds additional Fermilab-specific utilities to
your system in addition to the standard MIT Kerberos package
from the up-stream vendor.  You must have already installed
the Fermilab Kerberos base configuration package.

%prep
%setup
rm -rf $RPM_BUILD_ROOT

%install
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/bin
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/config
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/include
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/lib
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man1
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man5
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man8
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/sbin

install -m 0755 aklog $RPM_BUILD_ROOT/%{path}/bin/
install -m 0755 k5push $RPM_BUILD_ROOT/%{path}/bin/
install -m 0755 kcron $RPM_BUILD_ROOT/%{path}/bin/
install -m 4755 kcron-create $RPM_BUILD_ROOT/%{path}/bin/
ln -sf %{path}/bin/kcron-create $RPM_BUILD_ROOT/%{path}/bin/kcron-destroy
ln -sf %{path}/bin/kcron-create $RPM_BUILD_ROOT/%{path}/bin/kcron-delete
install -m 0755 kcroninit $RPM_BUILD_ROOT/%{path}/bin/
ln -sf %{path}/bin/kcroninit $RPM_BUILD_ROOT/%{path}/bin/kcrondestroy
install -m 4755 keytab-convert $RPM_BUILD_ROOT/%{path}/bin/
install -m 4755 new-portal-ticket $RPM_BUILD_ROOT/%{path}/bin/

install -m 0644 kcommon.pm $RPM_BUILD_ROOT/%{path}/lib/

install -m 0644 k5push.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 kcron.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 kcron-create.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 kcrondestroy.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 kcroninit.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 keytab-convert.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 krb5-send-pr.1 $RPM_BUILD_ROOT/%{path}/man/man1/
install -m 0644 new-portal-ticket.1 $RPM_BUILD_ROOT/%{path}/man/man1/

%post 

%files
%attr(0755,root,root)  %dir %{path}
%attr(0755,root,root)  %dir %{path}/bin
%attr(0755,root,root)  %dir %{path}/config
%attr(0755,root,root)  %dir %{path}/lib
%attr(0755,root,root)  %dir %{path}/man
%attr(0755,root,root)  %dir %{path}/man/man1
%attr(0755,root,root)  %dir %{path}/man/man5
%attr(0755,root,root)  %dir %{path}/man/man8
%attr(0755,root,root)  %dir %{path}/sbin

%attr(0755,root,root)  %{path}/bin/aklog
%attr(0755,root,root)  %{path}/bin/k5push
%attr(0755,root,root)  %{path}/bin/kcron
%attr(0755,root,root)  %{path}/bin/kcroninit
%attr(0777,root,root)  %{path}/bin/kcrondestroy
%attr(4755,root,root)  %{path}/bin/kcron-create
%attr(4777,root,root)  %{path}/bin/kcron-destroy
%attr(4777,root,root)  %{path}/bin/kcron-delete
%attr(4755,root,root)  %{path}/bin/keytab-convert
%attr(4755,root,root)  %{path}/bin/new-portal-ticket

%attr(0644,root,root)  %{path}/lib/kcommon.pm

%attr(0644,root,root)  %{path}/man/man1/*.1

%changelog
* Thu Oct 16 2014 Frank Nagy <nagy@fnal.gov> 1.4-1
- Replace Fermilab-provided aklog and eith scriptlet which calls
- /usr/bin/aklog if it exists
* Tue Apr 17 2012 Frank Nagy <nagy@fnal.gov> 1.3-2.slf6
- Added dependency on 32-bit krb5-libs package

* Tue Apr 17 2012 Frank Nagy <nagy@fnal.gov> 1.3-1.slf6
- Replace aklog symlink with executable in preparation for
- upgrade of server code to support compound principals

* Tue Aug 30 2011 Frank Nagy <nagy@fnal.gov> 1.2-13.slf6
- New release to test %triggerun handling during upgrade

* Tue Aug 30 2011 Frank Nagy <nagy@fnal.gov> 1.2-12.slf6
- The never-ending struggle with the %triggerun exit test

* Thu Aug 25 2011 Frank Nagy <nagy@fnal.gov> 1.2-11.slf6
- The eternal struggle with the %triggerun exit test

* Thu Aug 25 2011 Frank Nagy <nagy@fnal.gov> 1.2-10.slf6
- Run %triggerun scriptlet with bash and more work on
- the test to skip the %triggerun

* Thu Aug 25 2011 Frank Nagy <nagy@fnal.gov> 1.2-9.slf6
- Finally fix the test sense in %triggerun

* Thu Aug 25 2011 Frank Nagy <nagy@fnal.gov> 1.2-8.slf6
- Fix the test sense in %triggerun

* Thu Aug 25 2011 Frank Nagy <nagy@fnal.gov> 1.2-7.slf6
- Fix the test sense in %triggerun

* Thu Aug 25 2011 Frank Nagy <nagy@fnal.gov> 1.2-6.slf6
- Add test in %triggerun to prevent undoing what %triggerin
- did when installing update of this package

* Thu Aug 25 2011 Frank Nagy <nagy@fnal.gov> 1.2-5.slf6
- if aklog's setuid bit set then correct the permissions
- incorrectly set previous to 1.2-4 release of this RPM

* Wed Aug 24 2011 Frank Nagy <nagy@fnal.gov> 1.2-4.slf6
- Correct permissions on symbolic link for aklog

* Wed Aug 10 2011 Frank Nagy <nagy@fnal.gov> 1.2-3.slf6
- Replace PreReq by Requires and add i686 versions of glibc and libss
- so 32-bit libraries get installed on 64-bit systems

* Wed Aug 10 2011 Frank Nagy <nagy@fnal.gov> 1.2-2.slf6
- Added install/removal messages for aklog symlink
- Added -f to rm command to remove aklog symblink

* Wed Aug 10 2011 Frank Nagy <nagy@fnal.gov> 1.2-1.slf6
- New version for SLF6, new executbles for kcron and kcron-create
- Removed aklog and replace by symbolic link to /usr/bin version
- from openafs-krb5 (triggers).  Fermilab aklog not yet available
- for SLF6 due to removal of Kerberos IV support from MIT 1.9.x
- Kerberos package distributed by TUV for 6.1
- Change versioning to add SLF6 to release number

* Wed Jan 5 2011 Frank Nagy <nagy@fnal.gov> 1.1-1
- New versions of SLF5 executables for kcron and kcron-create
- Adds -d (debug print) flag to kcron.  kcron modified to
- invoke /usr/krb5/bin/kinit so that aklog will be invoked
- on AFS client systems.  Also added aklog executable (replaces
- link to /usr/bin/akoog from OpenAFS) for SLF5 made from the
- OpenAFS aklog with added support for Fermilab compound
- principals.

* Tue Jan 12 2010 Frank Nagy <nagy@fnal.gov> 1.0-2
- Now have SLF5 executables for kcron and kcron-create, remove
- libraries and incorporated changes from SLF4 krb1-1.8d.spec 

* Fri May 08 2009 Frank Nagy <nagy@fnal.gov> 1.0-1
- Created from krb5-fermi-baseconfig for SLF5.x
